#ifndef H_CORAL_LIB_NONCOPY
#define H_CORAL_LIB_NONCOPY
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

namespace coral {
	class noncopy {
	private:
		noncopy(noncopy&);
		noncopy& operator=(noncopy&);
		noncopy(const noncopy&);
		const noncopy& operator=(const noncopy&);
	public:
		noncopy() throw () { };
		~noncopy() throw () { };
	};
}

#endif
